import { Meta, Story, Canvas } from '@storybook/addon-docs/blocks';
import centeredDecorator from '@decorators/centeredDecorator';
import FileInput from '@components/FileInput';

<Meta title="Components / FileInput" component={FileInput} decorators={[centeredDecorator]} />

# Knobs

<Story name="Knobs">
    <div style={{ width: '1000px' }}>
        <FileInput name="file" />
    </div>
</Story>

## use cases

<Canvas>
    <Story name="withe default file">
        <div style={{ width: '1000px' }}>
            <FileInput name="file" defaultFile={{ name: 'lalalal' }} />
        </div>
    </Story>
</Canvas>
